org.cybergarage.upnp

## Class ArgumentList

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.Vector<Argument>
      - - org.cybergarage.upnp.ArgumentList

- All Implemented Interfaces:
    Serializable, Cloneable, Iterable<Argument>, Collection<Argument>, List<Argument>, RandomAccess

      public class ArgumentList
      extends Vector<Argument>

  A collection of UPnP action arguments.

  This class extends Vector to manage multiple Argument objects that represent parameters for UPnP service actions. It provides type-safe collection management for action argument definitions.

  Key features:

  - Type-safe argument collection
  - XML element name constant
  - Vector-based implementation for efficiency
  - Service description integration
  - Action parameter management

  This class is used by UPnP services to manage collections of action arguments, enabling proper XML description generation and action invocation parameter handling.

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ELEM_NAME`

    - ### Fields inherited from class java.util.Vector

      `capacityIncrement, elementCount, elementData`

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArgumentList()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Argument` | `getArgument(int n)`
    `Argument` | `getArgument(String name)`
    `void` | `setReqArgs(ArgumentList inArgList)` Set all the Argument which are Input Argoument to the given value in the argument list
    `void` | `setResArgs(ArgumentList outArgList)` Set all the Argument which are Output Argoument to the given value in the argument list

    - ### Methods inherited from class java.util.Vector

      `add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, forEach, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, iterator, lastElement, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeIf, removeRange, replaceAll, retainAll, set, setElementAt, setSize, size, sort, spliterator, subList, toArray, toArray, toString, trimToSize`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream`

- - ### Field Detail

    - #### ELEM_NAME

          public static final String ELEM_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ArgumentList

          public ArgumentList()

  - ### Method Detail

    - #### getArgument

          public Argument getArgument(int n)

    - #### getArgument

          public Argument getArgument(String name)

    - #### setReqArgs

          public void setReqArgs(ArgumentList inArgList)

      Set all the Argument which are Input Argoument to the given value in the argument list
      Parameters:
        `inArgList` -

    - #### setResArgs

          public void setResArgs(ArgumentList outArgList)

      Set all the Argument which are Output Argoument to the given value in the argument list
      Parameters:
        `outArgList` -